import { Direction } from "../core/Direction.js";
import { MovementState } from "../managers/MovementState.js";
import { Strategy } from "./Strategy.js";
/**
 * A movement strategy.
 *
 * @group Strategies
 */
export declare class MovementStrategy implements Strategy {
    /**
     * A movement state.
     */
    private movementState;
    /**
     * A direction.
     */
    private direction;
    /**
     * Constructs a new movement strategy.
     *
     * @param movementState - A movement state.
     * @param direction - A direction.
     */
    constructor(movementState: MovementState, direction: Direction);
    execute(flag: boolean): void;
}
